aboutsummaryrefslogtreecommitdiffstats
path: root/main/sdl_image
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2010-09-16 00:09:07 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2010-09-21 08:31:26 +0000
commitc257a3c22ae47387f665d82e197928872b8698d6 (patch)
tree62d67e045ee5df7d7c2644a72dd3edfd54941675 /main/sdl_image
parent5a1d746160d9bc5c85b28d192508ca814d809dbf (diff)
downloadaports-c257a3c22ae47387f665d82e197928872b8698d6.tar.gz
aports-c257a3c22ae47387f665d82e197928872b8698d6.tar.bz2
aports-c257a3c22ae47387f665d82e197928872b8698d6.tar.xz
main/sdl_image: new apkbuild
(cherry picked from commit 51917a607db3304066e2a50b4f366ec5829150d6)
Diffstat (limited to 'main/sdl_image')
-rw-r--r--main/sdl_image/APKBUILD36
1 files changed, 36 insertions, 0 deletions
diff --git a/main/sdl_image/APKBUILD b/main/sdl_image/APKBUILD
new file mode 100644
index 0000000000..5b9faef5d9
--- /dev/null
+++ b/main/sdl_image/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Carlo Landmeter
+# Maintainer:
+pkgname=sdl_image
+pkgver=1.2.10
+pkgrel=0
+pkgdesc="A simple library to load images of various formats as SDL surfaces"
+url="http://www.libsdl.org/projects/SDL_image/"
+license="LGPL"
+depends=
+makedepends="sdl-dev libpng-dev jpeg-dev tiff-dev zlib-dev"
+install=
+subpackages="$pkgname-dev"
+source="http://www.libsdl.org/projects/SDL_image/release/SDL_image-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/SDL_image-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ # apply patches here
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="6c06584b31559e2b59f2b982d0d1f628 SDL_image-1.2.10.tar.gz"